% reqhe.m
% Retour EQuilibre avec le schema de HEun
% fd, iacs, mai, 08 juillet 2004, 2, 9 janvier 2005
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
xlabel ('reqhe. Integration de du/dt + u = 0 par un schema de Heun') ;
% title ('Cnam Paris. Travaux pratiques Iacs.') ;
  n=20;
dt=1/n
t=zeros(n+1,1);
u=zeros(n+1,1);
ui=zeros(n+1,1);
uex=zeros(n+1,1);
uex(1:1)=1;
u(1:1)=uex(1:1);
u(1:1)=1;
t(1:1)=0;
  for i=1:n;
t(i+1)=t(i)+dt;
ui(i+1)=u(i) -dt*u(i);
u(i+1)=u(i) - 0.5 * dt * ( u(i) + ui(i+1) ) ;
uex(i+1)=exp(-t(i+1));
end ;
t(n+1:n+1)
%    gset yrange[-.01:1.1] ; gset xrange[-.1: 1.1] ; hold off ; 
hold off ; 
axis ([ -.1 ,  1.1 ,  -.01 , 1.1 ]) ; 

plot(t,u(:,1),'*;trajectoire;', t,uex(:,1), 'b;solution exacte;') ; 
